diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/helper/energy-harvester-container.h ns-3.36/src/energy/helper/energy-harvester-container.h
--- ns-3.35/src/energy/helper/energy-harvester-container.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/helper/energy-harvester-container.h	2022-04-30 18:23:57.838733400 -0700
@@ -45,9 +45,14 @@
 class EnergyHarvesterContainer : public Object
 {
 public:
+  /// Const iterator for EnergyHarvester container
   typedef std::vector< Ptr<EnergyHarvester> >::const_iterator Iterator;
 
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   /**
    * Creates an empty EnergyHarvesterContainer.
@@ -180,7 +185,7 @@
   virtual void DoInitialize (void);
 
 private:
-  std::vector< Ptr<EnergyHarvester> > m_harvesters;
+  std::vector< Ptr<EnergyHarvester> > m_harvesters; //!< Harvester container
 
 };
     
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/helper/energy-harvester-helper.h ns-3.36/src/energy/helper/energy-harvester-helper.h
--- ns-3.35/src/energy/helper/energy-harvester-helper.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/helper/energy-harvester-helper.h	2022-04-30 18:23:57.838733400 -0700
@@ -72,7 +72,7 @@
   EnergyHarvesterContainer Install (EnergySourceContainer sourceContainer) const;
 
   /**
-   * \param nodeName Name of node where EnergyHarvester will be installed.
+   * \param sourceName Name of node where EnergyHarvester will be installed.
    * \returns An EnergyHarvesterContainer which contains all the EnergyHarvesters.
    *
    * This function installs an EnergyHarvester onto a node.
@@ -81,7 +81,7 @@
 
 private:
   /**
-   * \param node Pointer to node where the energy harvester is to be installed.
+   * \param source Pointer to node where the energy harvester is to be installed.
    * \returns Pointer to the created EnergyHarvester.
    *
    * Child classes of EnergyHarvesterHelper only have to implement this function,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/helper/energy-source-container.h ns-3.36/src/energy/helper/energy-source-container.h
--- ns-3.35/src/energy/helper/energy-source-container.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/helper/energy-source-container.h	2022-04-30 18:23:57.838733400 -0700
@@ -44,9 +44,14 @@
 class EnergySourceContainer : public Object
 {
 public:
+  /// Const iterator for EnergySource container
   typedef std::vector< Ptr<EnergySource> >::const_iterator Iterator;
 
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   /**
    * Creates an empty EnergySourceContainer.
@@ -173,7 +178,7 @@
   virtual void DoInitialize (void);
 
 private:
-  std::vector< Ptr<EnergySource> > m_sources;
+  std::vector< Ptr<EnergySource> > m_sources; //!< Energy source container
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/helper/li-ion-energy-source-helper.h ns-3.36/src/energy/helper/li-ion-energy-source-helper.h
--- ns-3.35/src/energy/helper/li-ion-energy-source-helper.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/helper/li-ion-energy-source-helper.h	2022-04-30 18:23:57.838733400 -0700
@@ -45,7 +45,7 @@
   virtual Ptr<EnergySource> DoInstall (Ptr<Node> node) const;
 
 private:
-  ObjectFactory m_liIonEnergySource;
+  ObjectFactory m_liIonEnergySource; //!< LiIon Battery factory
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/helper/rv-battery-model-helper.h ns-3.36/src/energy/helper/rv-battery-model-helper.h
--- ns-3.35/src/energy/helper/rv-battery-model-helper.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/helper/rv-battery-model-helper.h	2022-04-30 18:23:57.838733400 -0700
@@ -43,7 +43,7 @@
   virtual Ptr<EnergySource> DoInstall (Ptr<Node> node) const;
 
 private:
-  ObjectFactory m_rvBatteryModel;
+  ObjectFactory m_rvBatteryModel; //!< RV Battery factory
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/basic-energy-harvester.h ns-3.36/src/energy/model/basic-energy-harvester.h
--- ns-3.35/src/energy/model/basic-energy-harvester.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/basic-energy-harvester.h	2022-04-30 18:23:57.838733400 -0700
@@ -48,6 +48,10 @@
 class BasicEnergyHarvester: public EnergyHarvester
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   BasicEnergyHarvester ();
@@ -115,14 +119,14 @@
 
 private:
 
-  Ptr<RandomVariableStream> m_harvestablePower; // Random variable for the harvestable power
+  Ptr<RandomVariableStream> m_harvestablePower; //!< Random variable for the harvestable power
 
-  TracedValue<double> m_harvestedPower;         // current harvested power, in Watt
-  TracedValue<double> m_totalEnergyHarvestedJ;  // total harvested energy, in Joule
+  TracedValue<double> m_harvestedPower;         //!< current harvested power, in Watt
+  TracedValue<double> m_totalEnergyHarvestedJ;  //!< total harvested energy, in Joule
 
-  EventId m_energyHarvestingUpdateEvent;        // energy harvesting event
-  Time m_lastHarvestingUpdateTime;              // last harvesting time
-  Time m_harvestedPowerUpdateInterval;          // harvestable energy update interval
+  EventId m_energyHarvestingUpdateEvent;        //!< energy harvesting event
+  Time m_lastHarvestingUpdateTime;              //!< last harvesting time
+  Time m_harvestedPowerUpdateInterval;          //!< harvestable energy update interval
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/basic-energy-source.h ns-3.36/src/energy/model/basic-energy-source.h
--- ns-3.35/src/energy/model/basic-energy-source.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/basic-energy-source.h	2022-04-30 18:23:57.838733400 -0700
@@ -37,6 +37,10 @@
 class BasicEnergySource : public EnergySource
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   BasicEnergySource ();
   virtual ~BasicEnergySource ();
@@ -136,16 +140,19 @@
   void CalculateRemainingEnergy (void);
 
 private:
-  double m_initialEnergyJ;                // initial energy, in Joules
-  double m_supplyVoltageV;                // supply voltage, in Volts
-  double m_lowBatteryTh;                  // low battery threshold, as a fraction of the initial energy
-  double m_highBatteryTh;                 // high battery threshold, as a fraction of the initial energy
-  bool m_depleted;                        // set to true when the remaining energy goes below the low threshold,
-                                          // set to false again when the remaining energy exceeds the high threshold
-  TracedValue<double> m_remainingEnergyJ; // remaining energy, in Joules
-  EventId m_energyUpdateEvent;            // energy update event
-  Time m_lastUpdateTime;                  // last update time
-  Time m_energyUpdateInterval;            // energy update interval
+  double m_initialEnergyJ;                //!< initial energy, in Joules
+  double m_supplyVoltageV;                //!< supply voltage, in Volts
+  double m_lowBatteryTh;                  //!< low battery threshold, as a fraction of the initial energy
+  double m_highBatteryTh;                 //!< high battery threshold, as a fraction of the initial energy
+  /**
+   * set to true when the remaining energy goes below the low threshold,
+   * set to false again when the remaining energy exceeds the high threshold
+   */
+  bool m_depleted;
+  TracedValue<double> m_remainingEnergyJ; //!< remaining energy, in Joules
+  EventId m_energyUpdateEvent;            //!< energy update event
+  Time m_lastUpdateTime;                  //!< last update time
+  Time m_energyUpdateInterval;            //!< energy update interval
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/device-energy-model-container.h ns-3.36/src/energy/model/device-energy-model-container.h
--- ns-3.35/src/energy/model/device-energy-model-container.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/device-energy-model-container.h	2022-04-30 18:23:57.838733400 -0700
@@ -43,6 +43,7 @@
 class DeviceEnergyModelContainer
 {
 public:
+  /// Const iterator of DeviceEnergyModel container
   typedef std::vector< Ptr<DeviceEnergyModel> >::const_iterator Iterator;
 
 public:
@@ -168,7 +169,7 @@
   void Clear (void);
 
 private:
-  std::vector< Ptr<DeviceEnergyModel> > m_models;
+  std::vector< Ptr<DeviceEnergyModel> > m_models; //!< Container of Energy models
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/device-energy-model.h ns-3.36/src/energy/model/device-energy-model.h
--- ns-3.35/src/energy/model/device-energy-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/device-energy-model.h	2022-04-30 18:23:57.838733400 -0700
@@ -50,6 +50,10 @@
   typedef Callback<void, int> ChangeStateCallback;
 
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   DeviceEnergyModel ();
   virtual ~DeviceEnergyModel ();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/energy-harvester.h ns-3.36/src/energy/model/energy-harvester.h
--- ns-3.35/src/energy/model/energy-harvester.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/energy-harvester.h	2022-04-30 18:23:57.838733400 -0700
@@ -36,21 +36,18 @@
 class EnergySource;
 
 /**
- * \defgroup energy Energy Models
- *
- */
-
-/**
  * \ingroup energy
  *
  * \brief Energy harvester base class.
- *
- *
  */
 
 class EnergyHarvester : public Object
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   EnergyHarvester ();
@@ -82,7 +79,7 @@
   void SetEnergySource (Ptr<EnergySource> source);
 
   /**
-   * \returns source Pointer to energy source connected to the harvester.
+   * \returns Pointer to energy source connected to the harvester.
    *
    * When a subclass needs to get access to the connected energy source,
    * it can invoke this method.
@@ -90,7 +87,7 @@
   Ptr<EnergySource> GetEnergySource (void) const;
 
   /**
-   * \returns power Amount of power currently provided by the harvester.
+   * \returns Amount of power currently provided by the harvester.
    *
    * This method is called by the energy source connected to the harvester in order
    * to determine the amount of energy that the harvester provided since last update.
@@ -111,6 +108,8 @@
    *
    * This method should be used to connect the logic behind the particular implementation
    * of the energy harvester with the energy source.
+   * 
+   * \returns Amount of power currently provided by the harvester.
    */
   virtual double DoGetPower (void) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/energy-source.h ns-3.36/src/energy/model/energy-source.h
--- ns-3.35/src/energy/model/energy-source.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/energy-source.h	2022-04-30 18:23:57.838733400 -0700
@@ -38,7 +38,12 @@
   
 /**
  * \defgroup energy Energy Models
- *
+ */
+
+/**
+ * \ingroup energy
+ * \ingroup tests
+ * \defgroup energy-tests Energy module tests
  */
 
 /**
@@ -81,6 +86,10 @@
 class EnergySource : public Object
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   EnergySource ();
   virtual ~EnergySource ();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/li-ion-energy-source.h ns-3.36/src/energy/model/li-ion-energy-source.h
--- ns-3.35/src/energy/model/li-ion-energy-source.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/li-ion-energy-source.h	2022-04-30 18:23:57.838733400 -0700
@@ -72,6 +72,10 @@
 class LiIonEnergySource : public EnergySource
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   LiIonEnergySource ();
   virtual ~LiIonEnergySource ();
@@ -173,6 +177,7 @@
 
   /**
    *  \param current the actual discharge current value.
+   *  \return the cell voltage 
    *
    *  Get the cell voltage in function of the discharge current.
    *  It consider different discharge curves for different discharge currents
@@ -181,23 +186,23 @@
   double GetVoltage (double current) const;
 
 private:
-  double m_initialEnergyJ;                // initial energy, in Joules
-  TracedValue<double> m_remainingEnergyJ; // remaining energy, in Joules
-  double m_drainedCapacity;               // capacity drained from the cell, in Ah
-  double m_supplyVoltageV;                // actual voltage of the cell
-  double m_lowBatteryTh;                  // low battery threshold, as a fraction of the initial energy
-  EventId m_energyUpdateEvent;            // energy update event
-  Time m_lastUpdateTime;                  // last update time
-  Time m_energyUpdateInterval;            // energy update interval
-  double m_eFull;                         // initial voltage of the cell, in Volts
-  double m_eNom;                          // nominal voltage of the cell, in Volts
-  double m_eExp;                          // cell voltage at the end of the exponential zone, in Volts
-  double m_internalResistance;            // internal resistance of the cell, in Ohms
-  double m_qRated;                        // rated capacity of the cell, in Ah
-  double m_qNom;                          // cell capacity at the end of the nominal zone, in Ah
-  double m_qExp;                          // capacity value at the end of the exponential zone, in Ah
-  double m_typCurrent;                    // typical discharge current used to fit the curves
-  double m_minVoltTh;                     // minimum threshold voltage to consider the battery depleted
+  double m_initialEnergyJ;                //!< initial energy, in Joules
+  TracedValue<double> m_remainingEnergyJ; //!< remaining energy, in Joules
+  double m_drainedCapacity;               //!< capacity drained from the cell, in Ah
+  double m_supplyVoltageV;                //!< actual voltage of the cell
+  double m_lowBatteryTh;                  //!< low battery threshold, as a fraction of the initial energy
+  EventId m_energyUpdateEvent;            //!< energy update event
+  Time m_lastUpdateTime;                  //!< last update time
+  Time m_energyUpdateInterval;            //!< energy update interval
+  double m_eFull;                         //!< initial voltage of the cell, in Volts
+  double m_eNom;                          //!< nominal voltage of the cell, in Volts
+  double m_eExp;                          //!< cell voltage at the end of the exponential zone, in Volts
+  double m_internalResistance;            //!< internal resistance of the cell, in Ohms
+  double m_qRated;                        //!< rated capacity of the cell, in Ah
+  double m_qNom;                          //!< cell capacity at the end of the nominal zone, in Ah
+  double m_qExp;                          //!< capacity value at the end of the exponential zone, in Ah
+  double m_typCurrent;                    //!< typical discharge current used to fit the curves
+  double m_minVoltTh;                     //!< minimum threshold voltage to consider the battery depleted
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/rv-battery-model.h ns-3.36/src/energy/model/rv-battery-model.h
--- ns-3.35/src/energy/model/rv-battery-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/rv-battery-model.h	2022-04-30 18:23:57.838733400 -0700
@@ -50,6 +50,10 @@
 class RvBatteryModel : public EnergySource
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   RvBatteryModel ();
   virtual ~RvBatteryModel ();
@@ -216,17 +220,17 @@
   double RvModelAFunction (Time t, Time sk, Time sk_1, double beta);
 
 private:
-  double m_openCircuitVoltage;
-  double m_cutoffVoltage;
-  double m_alpha; // alpha value of RV model, in Coulomb
-  double m_beta;  // beta value of RV model, in second^-1
-
-  double m_previousLoad;  // load value (total current) of previous sampling
-  std::vector<double> m_load;     // load profile
-  std::vector<Time> m_timeStamps; // time stamps of load profile
-  Time m_lastSampleTime;
+  double m_openCircuitVoltage; //!< Open circuit voltage (in Volts)
+  double m_cutoffVoltage;      //!< Cutoff voltage (in Volts)
+  double m_alpha; //!< alpha value of RV model, in Coulomb
+  double m_beta;  //!< beta value of RV model, in second^-1
+
+  double m_previousLoad;  //!< load value (total current) of previous sampling
+  std::vector<double> m_load;     //!< load profile
+  std::vector<Time> m_timeStamps; //!< time stamps of load profile
+  Time m_lastSampleTime;          //!< Last sample time
 
-  int m_numOfTerms; // # of terms for infinite sum in battery level estimation
+  int m_numOfTerms; //!< Number# of terms for infinite sum in battery level estimation
 
   /**
    * Battery level is defined as: output of Discharge function / alpha value
@@ -246,15 +250,16 @@
    */
   TracedValue<double> m_batteryLevel;
 
-  double m_lowBatteryTh;           // low battery threshold, as a fraction of the initial energy
+  double m_lowBatteryTh;           //!< low battery threshold, as a fraction of the initial energy
 
   /**
+   * Sampling interval.
    * (1 / sampling interval) = sampling frequency
    */
-  Time m_samplingInterval;
-  EventId m_currentSampleEvent;
+  Time m_samplingInterval; 
+  EventId m_currentSampleEvent; //!< Current sample event
 
-  TracedValue<Time> m_lifetime;   // time of death of the battery
+  TracedValue<Time> m_lifetime;   //!< time of death of the battery
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/model/simple-device-energy-model.h ns-3.36/src/energy/model/simple-device-energy-model.h
--- ns-3.35/src/energy/model/simple-device-energy-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/model/simple-device-energy-model.h	2022-04-30 18:23:57.838733400 -0700
@@ -38,6 +38,10 @@
 class SimpleDeviceEnergyModel : public DeviceEnergyModel
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   SimpleDeviceEnergyModel ();
   virtual ~SimpleDeviceEnergyModel ();
@@ -128,11 +132,11 @@
    */
   virtual double DoGetCurrentA (void) const;
 
-  Time m_lastUpdateTime;
-  double m_actualCurrentA;
-  Ptr<EnergySource> m_source;
-  Ptr<Node> m_node;
-  TracedValue<double> m_totalEnergyConsumption;
+  Time m_lastUpdateTime;        //!< Last update time
+  double m_actualCurrentA;      //!< actual curred (in Ampere)
+  Ptr<EnergySource> m_source;   //!< Energy source
+  Ptr<Node> m_node;             //!< Node
+  TracedValue<double> m_totalEnergyConsumption; //!< Total energy consumption trace
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/test/basic-energy-harvester-test.cc ns-3.36/src/energy/test/basic-energy-harvester-test.cc
--- ns-3.35/src/energy/test/basic-energy-harvester-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/test/basic-energy-harvester-test.cc	2022-04-30 18:23:57.838733400 -0700
@@ -33,6 +33,11 @@
 
 NS_LOG_COMPONENT_DEFINE ("BasicEnergyHarvesterTestSuite");
 
+/**
+ * \ingroup energy-tests
+ *
+ * \brief Energy Harvester Test
+ */
 class BasicEnergyHarvesterTestCase : public TestCase
 {
 public:
@@ -41,11 +46,11 @@
 
   void DoRun (void);
 
-  double m_timeS;     // in seconds
-  double m_tolerance; // tolerance for energy estimation
+  double m_timeS;     //!< Time, in seconds
+  double m_tolerance; //!< Tolerance for energy estimation
 
-  ObjectFactory m_energySource;
-  ObjectFactory m_energyHarvester;
+  ObjectFactory m_energySource; //!< Energy source factory
+  ObjectFactory m_energyHarvester; //!< Energy harvester factory
 
 };
 
@@ -118,6 +123,11 @@
 
 }
 
+/**
+ * \ingroup energy-tests
+ *
+ * \brief Energy harvester TestSuite
+ */
 class BasicEnergyHarvesterTestSuite : public TestSuite
 {
 public:
@@ -130,5 +140,5 @@
   AddTestCase (new BasicEnergyHarvesterTestCase, TestCase::QUICK);
 }
 
-// create an instance of the test suite
+/// create an instance of the test suite
 static BasicEnergyHarvesterTestSuite g_basicEnergyHarvesterTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/energy/test/li-ion-energy-source-test.cc ns-3.36/src/energy/test/li-ion-energy-source-test.cc
--- ns-3.35/src/energy/test/li-ion-energy-source-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/energy/test/li-ion-energy-source-test.cc	2022-04-30 18:23:57.838733400 -0700
@@ -29,6 +29,12 @@
 
 NS_LOG_COMPONENT_DEFINE ("LiIonEnergySourceTestSuite");
 
+
+/**
+ * \ingroup energy-tests
+ *
+ * \brief LiIon battery Test
+ */
 class LiIonEnergyTestCase : public TestCase
 {
 public:
@@ -37,7 +43,7 @@
 
   void DoRun (void);
 
-  Ptr<Node> m_node;
+  Ptr<Node> m_node; //!< Node to aggreagte the source to.
 };
 
 LiIonEnergyTestCase::LiIonEnergyTestCase ()
@@ -77,6 +83,11 @@
                              "Incorrect consumed energy!");
 }
 
+/**
+ * \ingroup energy-tests
+ *
+ * \brief LiIon battery TestSuite
+ */
 class LiIonEnergySourceTestSuite : public TestSuite
 {
 public:
@@ -89,5 +100,5 @@
   AddTestCase (new LiIonEnergyTestCase, TestCase::QUICK);
 }
 
-// create an instance of the test suite
+/// create an instance of the test suite
 static LiIonEnergySourceTestSuite g_liIonEnergySourceTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/fd-net-device/bindings/modulegen_customizations.py ns-3.36/src/fd-net-device/bindings/modulegen_customizations.py
--- ns-3.35/src/fd-net-device/bindings/modulegen_customizations.py	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/fd-net-device/bindings/modulegen_customizations.py	2022-04-30 18:23:57.842733400 -0700
@@ -11,10 +11,6 @@
         if 'ns3::TapFdNetDeviceHelper'in root_module:
             root_module.classes.remove(root_module['ns3::TapFdNetDeviceHelper'])
 
-    if 'PlanetLabFdNetDevice' not in enabled_features:
-        if 'ns3::PlanetLabFdNetDeviceHelper'in root_module:
-            root_module.classes.remove(root_module['ns3::PlanetLabFdNetDeviceHelper'])
-
     if 'FdNetDevice' not in enabled_features:
         for clsname in ['FdNetDevice', 'FdNetDeviceHelper', 'FdNetDeviceFdReader']: 
             if 'ns3::%s' % clsname in root_module:
